<?php
namespace gp\modeles;
use Illuminate\Database\Eloquent\Builder;
class Game extends \Illuminate\Database\Eloquent\Model
{
    protected $table = 'game';
    protected $primaryKey = 'id';
    public $timestamps = false ;

    public function characters(){
        return $this->belongsToMany('gp\modeles\Character', 'game2character','game_id');
    }
    public function platforms(){
        return $this->belongsToMany('gp\modeles\Platform', 'game2platform','game_id');
    }
    public function themes(){
        return $this->belongsToMany('gp\modeles\Theme', 'game2theme','game_id');
    }
    public function genres(){
        return $this->belongsToMany('gp\modeles\Genre', 'game2genre','game_id');
    }
    public function ratings(){
        return $this->belongsToMany('gp\modeles\Game_rating', 'game2rating','game_id','rating_id');
    }
    public function publishers(){
        return $this->belongsToMany('gp\modeles\Company', 'game_publishers','game_id');
    }
    public function developers(){
        return $this->belongsToMany('gp\modeles\Company', 'game_developers','game_id');
    }
    public function similarGames(){
        return $this->belongsToMany('gp\modeles\Games', 'similar_games','game1');
    }
    public function comments(){
        return $this->belongsToMany('gp\modeles\comment', 'game2comment','game_id');
    }
}